#
# Cookbook Name:: met-jenkins
# Recipe:: default
#
# Copyright (C) 2014 MET Norway
#

include_recipe 'apt'

package 'curl'

include_recipe 'jenkins::master'

include_recipe 'nginx'

template '/etc/nginx/sites-available/jenkins-server.conf' do
    source 'nginx/jenkins.conf.erb'
    owner 'root'
    group 'root'
    mode '0640'
    notifies :restart, "service[nginx]"
end

link '/etc/nginx/sites-enabled/jenkins-server.conf' do
    to '/etc/nginx/sites-available/jenkins-server.conf'
    notifies :restart, "service[nginx]"
end

firewall_rule "http" do
    port 80
    source '0.0.0.0/0'
    protocol :tcp
    action :allow
end

if node[:'met-jenkins'][:nginx][:ssl]
    firewall_rule "https" do
        port 443
        source '0.0.0.0/0'
        protocol :tcp
        action :allow
    end
end

jenkins_plugin 'git'
